org.apache.ignite.internal.processors.cache

## Class TxTimeoutOnPartitionMapExchangeChangeTask

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.TxTimeoutOnPartitionMapExchangeChangeTask

All Implemented Interfaces:
  CachePartitionExchangeWorkerTask

    public class TxTimeoutOnPartitionMapExchangeChangeTask
    extends Object
    implements CachePartitionExchangeWorkerTask

The task for changing transaction timeout on partition map exchange.

### Constructor Summary

Constructors
Constructor and Description
`TxTimeoutOnPartitionMapExchangeChangeTask(TxTimeoutOnPartitionMapExchangeChangeMessage msg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`TxTimeoutOnPartitionMapExchangeChangeMessage` `message()` Gets discovery message.
`boolean` `skipForExchangeMerge()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxTimeoutOnPartitionMapExchangeChangeTask

    public TxTimeoutOnPartitionMapExchangeChangeTask(TxTimeoutOnPartitionMapExchangeChangeMessage msg)

Constructor.

Parameters:
  `msg` - Discovery message.

### Method Detail

#### message

    public TxTimeoutOnPartitionMapExchangeChangeMessage message()

Gets discovery message.

Returns:
  Discovery message.

#### skipForExchangeMerge

    public boolean skipForExchangeMerge()

Specified by:
  `skipForExchangeMerge` in interface `CachePartitionExchangeWorkerTask`
Returns:
  `False` if exchange merge should stop if this task is found in exchange worker queue.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018